Skip to content

Create SubClient User

This API allows the creation of a SubClient user under your account.

Headers

ParameterDescription
AuthorizationPlease add provided Bearer token - linked to your Cellcast account. Check here
Content-Typeapplication/json

Request Body Parameters

NameTypeExampleDescription
nameStringSub Client NameMandatory. Name of the subclient user
emailString[email protected]Mandatory. Email of the subclient user
mobileString0400000000Mobile number of the subclient user
websiteStringwww.example.comWebsite of the company
passwordStringPasswordMandatory. Password for the subclient user
companyNameStringCellcastMandatory. Company name
industryStringTelecommunicationMandatory. Industry of the company
notesStringSub Client NotesNotes or remarks
isSharingCreditBooleantrueMandatory. Whether credit is shared with parent user or not.
reportEmailString[email protected]Optional. Email address for monthly report notifications. When provided, the backend automatically enables report settings for the subclient. If not provided, report notifications are not configured.

Report Email

The reportEmail field is an optional parameter that sets the email address for monthly usage report notifications. When a value is provided:

  • The backend automatically enables the report notification settings for the subclient — no additional flags are required.
  • Monthly usage reports are sent to the specified email address.
  • If omitted, no report email notifications are configured (the subclient can set this up later via the dashboard).

Code Sample

Post https://api.cellcast.com/api/v2/subClient/user

bash
curl --location 'https://api.cellcast.com/api/v2/subClient/user' \
--header 'authorization: Bearer {{API_KEY}}' \
--header 'content-type: application/json' \
--data-raw '{
    "name": "Sub Client Name",
    "email": "[email protected]",
    "mobile": "0400000000",
    "website": "www.example.com",
    "password": "Password",
    "companyName": "Cellcast",
    "industry": "Telecommunication",
    "notes": "Sub Client Notes",
    "isSharingCredit": true,
    "reportEmail": "[email protected]"
}'

Replace with the actual API key that you own.

Responses

200 Success

json
{
    "app_type": "web",
    "app_version": "1.0",
    "maintainence": 0,
    "new_version": 0,
    "force_update": 0,
    "invalid_token": 0,
    "refresh_token": "",
    "show_message": 1,
    "is_enc": false,
    "status": true,
    "message": "Created Successfully",
    "message_type": "toast",
    "data": {
        "message": "Created successfully",
        "isEmailVerified": false,
        "email": "[email protected]",
        "mobile": "0400000000",
        "role": "owner",
        "reportEmail": "[email protected]"
    },
    "error": {}
}

400 Bad Request

json
{
    "app_type": "web",
    "app_version": "1.0",
    "maintainence": 0,
    "new_version": 0,
    "force_update": 0,
    "invalid_token": 0,
    "refresh_token": "",
    "show_message": 0,
    "is_enc": false,
    "status": false,
    "message_type": "toast",
    "message": "email already exist",
    "data": {},
    "error": {
        "email": "email already exist"
    }
}

400 Bad Request

json
{
    "app_type": "web",
    "app_version": "1.0",
    "maintainence": 0,
    "new_version": 0,
    "force_update": 0,
    "invalid_token": 0,
    "refresh_token": "",
    "show_message": 0,
    "is_enc": false,
    "status": false,
    "message_type": "toast",
    "message": "mobile number already exist",
    "data": {},
    "error": {
        "mobile": "mobile number already exist"
    }
}

401 Unauthorized

json
{
    "code": 401,
    "message": "Token expired",
    "stack": "APIError: Token expired..."
}